#!/bin/bash
# AQ
# 20140624

logger -t soft-logic "Stop"

DN=$(dirname "$0")
cd $DN
. $DN/javapath

PARAMS=""
CLASSPATH=$DN/jre/work/lib/ext/jfxrt.jar
for jar in $(ls $DN/{lib,ext}/*.jar); do
    CLASSPATH=$CLASSPATH:$jar
done

$ATM_JAVA_PATH -cp $CLASSPATH -Djava.library.path=$DN/jni -Xmx256m fxterm.app.Core shutdown
retval="$?"
echo "`date +%H:%M:%S` SEND STOP $retval" >> $DN/log/add/start.log

killall run.sh
killall -9 java
